Bug 232307 - math/py-matplotlib: Update to 2.2.3
Summary: math/py-matplotlib: Update to 2.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: needs-qa
Depends on: 236455
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-16 06:36 UTC by wen
Modified: 2019-04-01 05:05 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (mainland)
koobs: exp-run?


Attachments
update to 2.2.3 (7.59 KB, text/plain)
2018-10-16 06:36 UTC, wen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description wen 2018-10-16 06:36:46 UTC
Created attachment 198197 [details]
update to 2.2.3

Update to 2.2.3
Comment 1 wen 2018-10-16 06:39:54 UTC
Hi, maintainer:

   Shall we ask for a exp-run for this patch ?

   And matplotlib-3.0.0 had been released which only support python3, I suggest math/py-matplotlib should be repocopied to math/py-matplotlib2 and update math/py-matplotlib to 3.0.0, how do you think ?

Regards,
wen
Comment 2 mainland 2018-10-16 22:01:54 UTC
I agree on both counts: ask for an exp-run, and repo-copy math/py-matplotlib to math/py-matplotlib2.

Geoff
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-10-17 04:05:49 UTC
Reporter is committer, assign accordingly.

Set exp-run flag to request QA
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-10-17 04:07:26 UTC
Should portmgr be exp-run'ing the full set of changes (including repocopies, new port, sweeping commits to update dependents)?

If so, assign portmgr once the patch is updated.

If not, you can assign portmgr now
Comment 5 kunda 2018-12-31 18:25:20 UTC
Thank you for the work on this so far.
Comment 6 wen 2019-01-01 09:19:22 UTC
(In reply to mainland from comment #2)
Hi, 

   Now I prefer to update math/py-matplotlib to 2.2.3 and repocopy it to math/py-matplotlib3 and update math/py-matplotlib3 to 3.0.2.
   Because in this way we can modify the portstree less since there are many ports depends on math/py-matplotlib.

   If you agree I shall assign this PR to portmgr@ and ask for a exp-run.

   Thanks !

wen
Comment 7 mainland 2019-01-01 19:14:49 UTC
I'm ambivalent about math/py-matplotlib3 vs math/py-matplotlib2. Do we have a sense of how many ports are incompatible with v3? Wouldn't it be more in keeping with standard practice to repo copy to math/py-matplotlib2 and change the dependency for ports that really require v2?
Comment 8 wen 2019-01-02 01:48:13 UTC
(In reply to mainland from comment #7)

matplotlib v3 only support python3, so I guess most of ports depends on matplotlib are incompatible with v3 :(

wen
Comment 9 Loïc Bartoletti 2019-03-10 19:32:42 UTC
Until we support python2, we need matplotlib 2.2, so I'm also for a separate matplotlib version for python 2 and 3.
math/py-matplotlib(2?)
and
math/py-matplotlib3

Update to 2.2.4: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=236455
Comment 10 Loïc Bartoletti 2019-03-28 19:09:36 UTC
I think that it can be closed.
Comment 11 kunda 2019-03-31 14:11:49 UTC
Opened #236913 requesting a separate port for v3.0.3